> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.youratlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.youratlas.com/_mcp/server.

# Create tool from template

POST https://api.youratlas.com/v1/api/tools/from-template
Content-Type: application/json

Reference: https://docs.youratlas.com/api-reference/atlas-api/tools/create-tool-from-template

## Authentication

- `api-key` header (required) — Your Atlas API key. Get it from the Atlas Portal under Settings > API Keys.

## Request

### Body (application/json)

This endpoint expects an object.

- `templateId` (string, required)
- `placeholderValues` (map from string to string, required)

## Response

### 200

Tool created from template

- `Name` (string, required)
- `Type` (enum, required)
  - Allowed values: `CustomTool`, `PlayableAudio`, `SMSOneWay`, `SMSVerification`
- `Settings` (string, optional) — JSON-serialized tool settings
- `TemplateId` (string, optional)
- `Categories` (string, optional)
- `Group` (string, optional)
- `Purpose` (string, optional)
- `PartitionKey` (string, optional)
- `RowKey` (string, optional)
- `Timestamp` (datetime, optional)
- `TemplateVersion` (string, optional)
- `Status` (enum, optional) — Not returned in the `GET /tools` list items — present only on single-tool responses.
  - Allowed values: `Approved`, `Waiting for Approval`, `Draft`

## Errors

### 400 Bad Request Error

Bad request

- `error` (ErrorError, optional)

### 500 Internal Server Error

Internal server error

- `error` (ErrorError, optional)

## Types

### ErrorError

- `message` (string, optional)
- `code` (string, optional)
- `requestId` (string, optional)

## Examples

**Request**

```json
{
  "templateId": "string"
}
```

**Response**

```json
{
  "Name": "string",
  "Type": "CustomTool",
  "Settings": "string",
  "TemplateId": "string",
  "Categories": "string",
  "Group": "string",
  "Purpose": "string",
  "PartitionKey": "string",
  "RowKey": "string",
  "Timestamp": "2024-01-15T09:30:00Z",
  "TemplateVersion": "string",
  "Status": "Approved"
}
```

**SDK Code**

```python
import requests

url = "https://api.youratlas.com/v1/api/tools/from-template"

payload = { "templateId": "string" }
headers = {
    "api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.youratlas.com/v1/api/tools/from-template';
const options = {
  method: 'POST',
  headers: {'api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"templateId":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.youratlas.com/v1/api/tools/from-template"

	payload := strings.NewReader("{\n  \"templateId\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.youratlas.com/v1/api/tools/from-template")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"templateId\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.youratlas.com/v1/api/tools/from-template")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"templateId\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.youratlas.com/v1/api/tools/from-template', [
  'body' => '{
  "templateId": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.youratlas.com/v1/api/tools/from-template");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"templateId\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["templateId": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.youratlas.com/v1/api/tools/from-template")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```